﻿using System;

using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr211_1
{
    // Класс с полем: 
    class MyClass {
        // Поле:
        public int number;
        // Конструктор: 
        public MyClass(int n) { 
            number = n;
        }
        // Деструктор:
        ~MyClass() {
            Console.WriteLine("Удален объект с полем " + number);
        }
    }

    // Главный класс программы:
    class Program
    {
        // Главный метод:
        unsafe static void Main()
        {
            // Использован fixed-блок: 
            fixed (int* p = &new MyClass(123).number)
            {
                // Отображение значения поля:
                Console.WriteLine("Значение поля number: " + *p);
                // Полю присваивается новое значение:
                *p = 321;
                // Отображение сообщения:
                Console.WriteLine("Завершение fixed-блока");
            }
        }
    }
}
